Subject: Re: [PATCH] using mii-bitbang on different processor ports

From: Scott Wood <[email-masked]>
Date: Tue, 30 Oct 2007 12:16:01 -0500

Sergej Stepanov wrote:
> Hello Scott.
> Thank you for reply.
> Am Dienstag, den 30.10.2007, 11:32 -0500 schrieb Scott Wood:
>> On Tue, Oct 30, 2007 at 05:09:19PM +0100, Sergej Stepanov wrote:
> 
>> You could just use of_iomap() for the second one, since we don't need
>> the physical address for bus->id.
> Nice tip.
> Than it would be needless-------
> 				|
> 				\/
>>> +			iounmap(bitbang->mdc.dir);
>>> +			return -ENOMEM;
>> Please use the goto-style error handling that's used elsewhere in the
>> function.

Hmm... in this case, it'd be impossible to tell using of_iomap() whether 
a failure was due to reg only having one resource (and thus meaning the 
same one should be used for both), or due to ioremap() failure.  Maybe 
we should keep it separate.

-Scott